Bug 786739 - [abrt] kernel: BUG: soft lockup - CPU#1 stuck for 23s! [biosdevname:3027]
Summary: [abrt] kernel: BUG: soft lockup - CPU#1 stuck for 23s! [biosdevname:3027]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: biosdevname
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Narendra K
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2f577a8fc4c1d6c882e6a973592...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-02 09:41 UTC by Thomas
Modified: 2012-07-26 22:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-26 22:32:05 UTC


Attachments (Terms of Use)

Description Thomas 2012-02-02 09:41:51 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.2-1.fc16.x86_64 root=/dev/mapper/vg_grumpy-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=us quiet pcie_aspm=force SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_grumpy/lv_swap rhgb rd.luks=0 rd.lvm.lv=vg_grumpy/lv_root LANG=en_US.UTF-8
comment:        Pluggin in iPhone in USB port
kernel:         3.2.2-1.fc16.x86_64
reason:         BUG: soft lockup - CPU#1 stuck for 23s! [biosdevname:3027]
time:           do 02 feb 2012 10:39:24 CET

backtrace:
:BUG: soft lockup - CPU#1 stuck for 23s! [biosdevname:3027]
:Modules linked in: ipheth ppdev parport_pc lp parport fuse 8021q garp stp llc fcoe libfcoe libfc scsi_transport_fc scsi_tgt nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep uvcvideo snd_seq arc4 snd_seq_device iwlwifi(O) snd_pcm videodev snd_timer mac80211(O) snd media v4l2_compat_ioctl32 cfg80211(O) acer_wmi soundcore atl1e iTCO_wdt snd_page_alloc i2c_i801 sparse_keymap iTCO_vendor_support rfkill serio_raw joydev microcode uinput binfmt_misc ums_realtek usb_storage nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
:CPU 1 
:Modules linked in: ipheth ppdev parport_pc lp parport fuse 8021q garp stp llc fcoe libfcoe libfc scsi_transport_fc scsi_tgt nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep uvcvideo snd_seq arc4 snd_seq_device iwlwifi(O) snd_pcm videodev snd_timer mac80211(O) snd media v4l2_compat_ioctl32 cfg80211(O) acer_wmi soundcore atl1e iTCO_wdt snd_page_alloc i2c_i801 sparse_keymap iTCO_vendor_support rfkill serio_raw joydev microcode uinput binfmt_misc ums_realtek usb_storage nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
:Pid: 3027, comm: biosdevname Tainted: G           O 3.2.2-1.fc16.x86_64 #1 Acer Aspire 6930G     /Makalu           
:RIP: 0010:[<ffffffff812d4b37>]  [<ffffffff812d4b37>] pci_user_read_config_word+0x77/0xb0
:RSP: 0018:ffff8800b736dd88  EFLAGS: 00000206
:RAX: 0000000000000000 RBX: ffff88009d94ba00 RCX: 00000000000031dd
:RDX: 0000000000000000 RSI: 0000000000000056 RDI: 0000000000000056
:RBP: ffff8800b736ddb8 R08: 0000000000000002 R09: ffff8800b736dd94
:R10: 0000000000000000 R11: 0000000000000246 R12: ffffffff81196714
:R13: ffff8800b736dd08 R14: ffff8800b736de48 R15: 0000000000000000
:FS:  00007fa4a1f8f700(0000) GS:ffff88013fd00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 0000000000aa2098 CR3: 00000000adade000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process biosdevname (pid: 3027, threadinfo ffff8800b736c000, task ffff88009dbec560)
:Stack:
: 0000000000000cfe 0000ffff00000056 0000000000000056 ffff8801384b2400
: ffff8801384db000 00000001001b680a ffff8800b736ddf8 ffffffff812d4bc3
: 0000000000000018 ffffffff812d4e15 000000000000045c ffff8801384db000
:Call Trace:
: [<ffffffff812d4bc3>] pci_vpd_pci22_wait+0x53/0x100
: [<ffffffff812d4e15>] ? pci_user_write_config_word+0x65/0xa0
: [<ffffffff812d4f10>] pci_vpd_pci22_read+0xc0/0x160
: [<ffffffff812d4470>] pci_read_vpd+0x20/0x40
: [<ffffffff812de373>] read_vpd_attr+0x33/0x40
: [<ffffffff811ed175>] read+0xf5/0x210
: [<ffffffff81179010>] vfs_read+0xb0/0x180
: [<ffffffff811792a2>] sys_pread64+0xa2/0xb0
: [<ffffffff815e97c2>] system_call_fastpath+0x16/0x1b
:Code: 4d 10 44 89 e2 41 8b 75 38 4c 8d 45 dc b9 02 00 00 00 49 8b 81 80 00 00 00 4c 89 cf ff 10 89 c2 66 ff 05 0d a0 ac 00 fb 66 66 90 <66> 66 90 8b 45 dc 85 d2 66 89 03 b8 ea ff ff ff 0f 4f d0 89 d0 

smolt_data:
:
:
:General
:=================================
:UUID: cafb2637-d87f-4837-9f36-35f01f4bbeab
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3990.24
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6400  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 3921
:System Swap: 5983
:Vendor: Acer
:System: Aspire 6930G Not Applicable
:Form factor: Other
:Kernel: 3.2.2-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:16946:32902:4609) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10550:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(6505:4134:4133:350) pci, ATL1E, ETHERNET, AR8121/AR8113/AR8114 Gigabit or Fast Ethernet
:(32902:10544:4133:350) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10566:4133:350) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:4133:350) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10521:4133:350) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(4318:1609:4133:350) pci, nouveau, VIDEO, G96 [GeForce 9600M GT]
:(32902:10558:4133:350) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4133:350) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10549:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9288:4133:350) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10554:4133:350) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10548:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4133:350) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4133:350) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10553:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10570:4133:350) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(32902:10556:4133:350) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_grumpy-lv_root / ext4 4096 4096 13092026 11058715 10927693 3276800 3086890 3086890
:/dev/sda2 /boot ext4 1024 1024 508745 410493 384893 128016 127782 127782
:/dev/mapper/vg_grumpy-lv_home /home ext4 4096 4096 107206306 103356212 97990043 26836992 26774356 26774356
:

Comment 1 Josh Boyer 2012-02-02 13:58:02 UTC
This seems to be an issue in biosdevname.

Comment 2 Narendra K 2012-03-02 18:48:05 UTC
Hi Thomas, could you please attach the output from the following -

dmidecode
biosdecode
lspci -vvvxxxx

Comment 3 Fedora Update System 2012-07-18 13:32:32 UTC
biosdevname-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/biosdevname-0.4.1-1.fc17

Comment 4 Fedora Update System 2012-07-19 09:01:24 UTC
Package biosdevname-0.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing biosdevname-0.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10778/biosdevname-0.4.1-1.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-07-26 22:32:05 UTC
biosdevname-0.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.